com.io7m.jtensors.parameterized

## Interface PVector4LType<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    PVector2LType<T>, PVector3LType<T>, PVectorReadable2LType<T>, PVectorReadable3LType<T>, PVectorReadable4LType<T>, PVectorWritable2LType<T>, PVectorWritable3LType<T>, PVectorWritable4LType<T>, Vector2LType, Vector3LType, Vector4LType, VectorReadable2LType, VectorReadable3LType, VectorReadable4LType, VectorWritable2LType, VectorWritable3LType, VectorWritable4LType
  All Known Subinterfaces:
    PVectorByteBuffered4LType<T>
  All Known Implementing Classes:
    PVectorByteBufferedM4L, PVectorM4L

      public interface PVector4LType<T>
      extends PVectorReadable4LType<T>, PVectorWritable4LType<T>, Vector4LType, PVector3LType<T>

  The type of four-element vectors that are both readable and writable, and have `long` elements

  Since:
    7.0.0

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable4LType

      `copyFromTyped4L`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable4LType

      `getWL`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable4LType

      `copyFrom4L, set4L, setWL`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable3LType

      `copyFromTyped3L`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable3LType

      `getZL`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable3LType

      `copyFrom3L, set3L, setZL`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable2LType

      `copyFromTyped2L`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable2LType

      `getXL, getYL`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2LType

      `copyFrom2L, set2L, setXL, setYL`

Copyright © 2015 <code@io7m.com> http://io7m.com